import { ReactNode } from 'react';
import { DocumentProps, PageProps } from 'react-pdf';
type docProxy = Parameters<Exclude<DocumentProps['onLoadSuccess'], undefined>>[number];
type PdfProps = {
    document: Omit<DocumentProps, 'onLoadSuccess'>;
    page: PageProps;
    onSuccess?: (doc: docProxy) => void;
    children?: ReactNode;
};
export type refProps = {
    pages: {
        current: HTMLElement[];
    };
};
declare const PdfViewer: import("react").ForwardRefExoticComponent<PdfProps & import("react").RefAttributes<refProps>>;
export default PdfViewer;
