interface IMinimunTh {
    thLabel: string;
    className?: string;
    cellParam: string;
    isLastTh: boolean;
}
export interface IThGroupByProps extends IMinimunTh {
    requestType: 'graphql' | 'rest';
}
interface IThGroupRestProps extends IFetchGroupOptionsRestProps, IMinimunTh {
    requestType: 'rest';
}
interface IThGroupGraphqlProps extends IFetchGroupOptionsRestProps, IMinimunTh {
    requestType: 'graphql';
}
export type IThGroupWrapperProps = IThGroupRestProps | IThGroupGraphqlProps;
declare const ThGroupBy: ({ requestType, thLabel, className, cellParam, isLastTh, ...restProps }: IThGroupWrapperProps) => import("react/jsx-runtime").JSX.Element;
interface IFetchGroupOptionsRestProps {
    url: string;
    customHeaders?: Record<string, string | number>;
    payload?: any;
    targetId: string;
    targetItemId: string;
}
export default ThGroupBy;
