import { filterType, ISortType, signalType } from '.';
import { ITableItem } from '..';
export declare const useManagementFilter: () => {
    simpleSetFilter: (param: string, signal: signalType, type: filterType, value?: string | number) => void;
    getCurrentFiltValue: (filtParam: string) => string | number;
};
export declare const useSortTable: () => {
    sortByParam: (param: string, desc: boolean) => void;
    currentSortByParam: (param: string) => ISortType | undefined;
};
export declare const useHandleIntervalFilter: ({ thead }: {
    thead: ITableItem;
}) => {
    changeFiltValue: (e: React.ChangeEvent<HTMLInputElement>) => void;
    sendValue: (e: React.FormEvent<HTMLFormElement>) => void;
    state: Record<string, string>;
    currentValue: Record<string, string | number>;
};
