import { IMetaDataPagination } from '../context';
/**
 * Hook that returns the pagination that has a grid that encompasses it
 * @returns {string, string} query params (page, limit, filt, etc...) manupulated on the grid
 * @example <Grilla...> {useGridInfo} <Grilla/>
 */
export declare const useTableInfoRest: () => {
    queryParams: string;
    thead: import("..").ITableItem[];
    changeFooterPaginate: (metaData: IMetaDataPagination) => void;
};
