const t = "D0EF1C3E-D9B3-EE11-B9E8-C87F5406F554", r = `
            <Layouts.InputsWrapper className="_mb-2">
                    <FormInput.SelectFormCntx currentId="periodo" label="Periodo*" 
                        placeholder="Seleccionar un periodo" optionsEntries={["id","id"]}
                        selectOptions={[{id:"ANUAL"},{id:"SEMESTRAL"},{id:"TRIMESTRAL"}]} />

                    <FormInput.InputFormCntx currentId="docNumber" label="No documento*"/>

                    <FormInput.InputFormCntx currentId="fechaPresentacion" label="Fecha máxima presentación*" type="date" />
            </Layouts.InputsWrapper>

            <Layouts.InputsWrapper className="_mb-2">
                    <FormInput.SelectFormCntx currentId="uso" label="Opción de uso*" 
                        placeholder="Seleccionar opción de uso" optionsEntries={["id","id"]}
                        selectOptions={[{id:"DECLARACIÓN INICIAL"}]} />

                    <FormInput.InputFormCntx currentId="NumDeclaracion" label="No. de Declaración a corregir*" />

                    <FormInput.InputFormCntx currentId="fechaDeclaracion" label="Fecha presentación de declaración a corregir*" type="date" />
            </Layouts.InputsWrapper>

            <Card.Wrapper accordionClassName="_bg-lightSilver" canCloseContent titleToShow={<Card.Tilte title="INFORMACIÓN DEL CONTRIBUYENTE" letter='A'/>} className="_rounded-none _mt-8" contentClassName="_py-3 _px-5" variant={{ variant: "govco" }}>
                <FormInput.InputFormCntx currentId="contRazonSocialDesc" label="Razón social/Nombre completo*" />

                <Layouts.InputsWrapper className="_mb-2">
                    <FormInput.SelectFormCntx currentId="docType" label="Tipo de identificación*" 
                                placeholder="Seleccionar opción de uso" optionsEntries={["id","tdoc"]}
                                selectOptions={staticOptions.docType} />

                    <FormInput.InputFormCntx currentId="contNumDoc" label="No. de documento*" />
                </Layouts.InputsWrapper>

                <Layouts.InputsWrapper className="items-center">
                    <FormInput.SwitchFormCntx currentId="unionTemporal" label="¿Es consorcio o Unión temporal?"/>
                    <FormInput.SwitchFormCntx currentId="patrimonioAutonomo" label="¿Realiza actividades a través de patrimonio autónomo?"/>
                </Layouts.InputsWrapper>

                <Layouts.InputsWrapper className="items-center">
                    <FormInput.InputFormCntx currentId="contDir" label="Dirección Fiscal*" />
                    <Buttons.Maps targetId="contDir"/>
                </Layouts.InputsWrapper>

                <FeatureComponents.SelectMunicipality className="_mb-2"/>

                <Layouts.InputsWrapper>
                    <FormInput.InputFormCntx currentId="contTel" label="Teléfono*" />
                    <FormInput.InputFormCntx currentId="contEmail" label="Correo Electrónico*" />
                </Layouts.InputsWrapper>

                <Layouts.InputsWrapper>
                    <FormInput.InputFormCntx currentId="contNumEst" label="Número de establecimientos*" />

                    <FormInput.SelectFormCntx currentId="contReg" label="Régimen*" 
                                placeholder="Seleccionar régimen" optionsEntries={["id","label"]}
                                selectOptions={staticOptions.contReg} />
                </Layouts.InputsWrapper>
            </Card.Wrapper>

            <Card.Wrapper canCloseContent titleToShow={<Card.Tilte title="BASE GRAVABLE" letter='B'/>} className="_rounded-none _mt-4" variant={{ variant: "govco" }}>
                <Layouts.RowInputsWrapper title="TOTAL INGRESOS ORDINARIOS Y EXTRAORDINARIOS" rowNumber="8." isMain>
                    <FormInput.CalcInput currentId="ingresos"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS INGRESOS FUERA DE ESTE MUNICIPIO O DISTRITO" rowNumber="9.">
                    <FormInput.CalcInput currentId="minusIngresos"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="TOTAL INGRESOS ORDINARIOS Y EXTRAORDINARIOS EN ESTE MUNICIPIO" rowNumber="10." subTitle="(Renglón 8 menos 9)" isMain>
                    <FormInput.CalcInput currentId="ordinaryIngresos" disabled className="_bg-white"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS INGRESOS POR DEVOLUCIONES, REBAJAS Y DESCUENTOS" rowNumber="11.">
                    <FormInput.CalcInput currentId="minusIngresosDes"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS INGRESOS POR EXPORTACIONES" rowNumber="12.">
                    <FormInput.CalcInput currentId="minusIngresosExpor"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS INGRESOS POR VENTAS DE ACTIVOS FIJOS" rowNumber="13.">
                    <FormInput.CalcInput currentId="minusIngresosActi"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS INGRESOS POR ACTIVIDADES EXCLUIDAS O NO SUJETAS Y OTROS INGRESOS NO GRAVADOS" rowNumber="14.">
                    <FormInput.CalcInput currentId="minusIngresosActiExc"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS INGRESOS POR ACTIVIDADES EXENTAS EN ESTE MUNICIPIO (Por acuerdo)" rowNumber="15.">
                    <FormInput.CalcInput currentId="minusIngresosActExtMun"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="TOTAL INGRESOS GRAVABLES" rowNumber="16." subTitle="(Renglón 10 menos 11, 12, 13, 14 y 15)" isMain>
                    <FormInput.CalcInput currentId="totalIngresosGrav" disabled className="_bg-white"/>
                </Layouts.RowInputsWrapper>
            </Card.Wrapper>

            <Card.Wrapper accordionClassName="_bg-lightSilver" canCloseContent titleToShow={<Card.Tilte title="DISCRIMINACIÓN DE ACTIVIDADES GRAVADAS" letter='C'/>} className="_rounded-none _mt-4" variant={{ variant: "govco" }}>
                <Layouts.InputsWrapper>
                    <ActivitiesCards />
                </Layouts.InputsWrapper>

                <Layouts.RowInputsWrapper title="TOTAL INGRESOS GRAVADOS">
                    <FormInput.CalcInput  currentId="totalTaxableIncome" exact={false}/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="TOTAL IMPUESTOS GRAVADOS" rowNumber="17." isMain >
                    <FormInput.CalcInput currentId="totalTaxesTexed" exact={false}/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="GENERACIÓN DE ENERGíA" subTitle="(Total Capacidad Instalada KW)" rowNumber="18.">
                    <FormInput.InputFormCntx currentId="powerGeneration"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="IMPUESTO LEY 56 DE 1981" rowNumber="19.">
                    <FormInput.CalcInput currentId="taxLaw56Of1981"/>
                </Layouts.RowInputsWrapper>
            </Card.Wrapper>

            <Card.Wrapper canCloseContent titleToShow={<Card.Tilte title="LIQUIDACIÓN PRIVADA" letter='D'/>} className="_rounded-none _mt-4" variant={{ variant: "govco" }}>

                <Layouts.RowInputsWrapper title="IMPUESTO DE INDUSTRIA Y COMERCIO" subTitle="(Reglón 17 + 19)" rowNumber="20.">
                    <FormInput.CalcInput currentId="impICAT"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="IMPUESTO DE AVISOS Y TABLEROS" subTitle="(15% del reglón 20)" rowNumber="21.">
                    <FormInput.CalcInput currentId="taxNoticesAndBoards"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="PAGO POR UNIDADES COMERCIALES ADICIONALES DEL SECTOR FINANCIERO" rowNumber="22.">
                    <FormInput.CalcInput currentId="paymentAditionalBussinessUnit"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="SOBRETASA BOMBERIL (Ley 1575 de 2012)" subTitle="(Si la hay, liquídela según el acuerdo municipal o distrital)" rowNumber="23.">
                    <FormInput.CalcInput currentId="fireFigtherSurtax"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="SOBRETASA DE SEGURIDAD (Ley 1421 de 2011)" subTitle="Si la hay, liquídela según el acuerdo municipal o distrital)" rowNumber="24.">
                    <FormInput.CalcInput currentId="safetySurcharge"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="TOTAL IMPUESTO CARGO" rowNumber="25." subTitle="(Renglón 20+21+22+23+24)" isMain>
                    <FormInput.CalcInput currentId="totalTaxCharge" disabled className="_bg-white"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS VALOR DE EXENCIÓN O EXONERACIÓN SOBRE EL IMPUESTO Y NO SOBRE LOS INGRESOS" rowNumber="26.">
                    <FormInput.CalcInput currentId="lessValueExemption"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS RETENCIONES QUE LE PRACTICARON A FAVOR DE ESTE MUNICIPIO O DISTRITO EN ESTE PERIODO" rowNumber="27.">
                    <FormInput.CalcInput currentId="lessRetentionsMadeInFavorMunicipality"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS AUTORRETENCIONES PRACTICADAS A FAVOR DE ESTE MUNICIPIO O DISTRITO EN ESTE PERIODO" rowNumber="28.">
                    <FormInput.CalcInput currentId="lessAutoretentionsMadeInFavorMunicipality"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS ANTICIPO LIQUIDADO EN EL AÑO ANTERIOR" rowNumber="29.">
                    <FormInput.CalcInput currentId="lessAdvancePaidInPreviousYear"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="ANTICIPO DEL AÑO SIGUIENTE" subTitle="(Si existe, liquide porcentaje según acuerdo municipal o distrital)" rowNumber="30.">
                    <FormInput.CalcInput currentId="advancedPaidNextYear"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title={<strong>SANCIONES</strong>} rowNumber="31." subComponent={
                    <Layouts.InputsWrapper className="_items-center">
                        <FormInput.CheckBoxFormCntx currentId="ingresosE" label="Extemporaneidad"/>
                        <FormInput.CheckBoxFormCntx currentId="ingresosC" label="Corrección"/>
                        <FormInput.CheckBoxFormCntx currentId="ingresosI" label="Inexactitud"/>
                        <FormInput.CheckBoxFormCntx currentId="ingresosO" label="Otra"/>
                        <FormInput.InputFormCntx currentId="declaracion" className="xl:_flex-none xl:_max-w-[180px]"/>
                    </Layouts.InputsWrapper>
                }>
                    <FormInput.CalcInput currentId="sancionCalc" className="xl:_mt-[25px]"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="MENOS SALDO A FAVOR DEL PERIODO ANTERIOR SIN SOLICITUD DE DEVOLUCIÓN COMPENSACIÓN" rowNumber="32.">
                    <FormInput.CalcInput currentId="lessCreditBalancePreviousYear"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper isMain title={<strong>TOTAL SALDO A CARGO</strong>} subTitle="(Renglón 25-26-27-28-29+30+31-32)" rowNumber="33.">
                    <FormInput.CalcInput currentId="totalBalanceDue"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper isMain title={<strong>TOTAL SALDO A FAVOR</strong>} subTitle="(Renglón 25-26-27-28-29+30+31-32) (Si el resultado es menor a cero)" rowNumber="34.">
                    <FormInput.CalcInput currentId="totalCreditBalance"/>
                </Layouts.RowInputsWrapper>

            </Card.Wrapper>

            <Card.Wrapper canCloseContent titleToShow={<Card.Tilte title="PAGO" letter='E'/>} className="_rounded-none _mt-4" variant={{ variant: "govco" }}>
                <Layouts.RowInputsWrapper rowNumber="35." title={
                    <>
                        <div className="_flex _items-center _gap-[15px]">
                            <strong>VALOR A PAGAR</strong> <p>Tipo de Pago</p>

                            <FormInput.SelectFormCntx currentId="tipoPago" className="_w-fit _flex-none"
                                    placeholder="Seleccionar tipo de Pago" optionsEntries={["id","desc"]}
                                    selectOptions={[{id:"1",desc:"SIN PAGO"}, {id:"2",desc:"TOTAL"}, {id:"3",desc:"POR CUOTAS"} ]} />
                        </div>
                    </>
                }>
                    <FormInput.CalcInput currentId="totalValPagar"/>
                </Layouts.RowInputsWrapper> 

                <Layouts.RowInputsWrapper title="DESCUENTO POR PRONTO PAGO" subTitle="(Si existe, liquídelo según el acuerdo municipal o distrital)" rowNumber="36.">
                    <FormInput.CalcInput currentId="cashDiscountEarlyPayment"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="INTERESES DE MORA" rowNumber="37.">
                    <FormInput.CalcInput currentId="interestOnMoratorium"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper isMain title={<strong>TOTAL A PAGAR</strong>} subTitle="(Renglón 35-36+37)" rowNumber="38.">
                    <FormInput.CalcInput currentId="totalToPay"/>
                </Layouts.RowInputsWrapper>

            </Card.Wrapper>

            <Card.Wrapper canCloseContent titleToShow={<Card.Tilte title="SELECCIÓN PAGO VOLUNTARIO" />} className="_rounded-none _mt-4" variant={{ variant: "govco" }}>
            <Layouts.InputsWrapper>
            <p className="_mb-[20px] _mt-[10px] _ml-[45px]">(Solamente donde exista esta opción)</p>
            </Layouts.InputsWrapper>

                <Layouts.RowInputsWrapper title="LIQUIDE EL VALOR DEL PAGO VOLUNTARIO" subTitle="(Según instrucciones del municipio/distrito)" rowNumber="39.">
                    <FormInput.CalcInput currentId="liquidateValueVoluntaryPayment"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper isMain title={<strong>TOTAL A PAGAR CON PAGO VOLUNTARIO</strong>} subTitle="(Renglón 38+39)" rowNumber="40.">
                    <FormInput.CalcInput currentId="totalToPayWithVoluntaryPayment"/>
                </Layouts.RowInputsWrapper>

                <Layouts.RowInputsWrapper title="DESTINO DE MI APORTE VOLUNTARIO">
                    <FormInput.InputFormCntx inputProps={{ disabled:true }} currentId="DestinationVoluntaryContribution"/>
                </Layouts.RowInputsWrapper>

            </Card.Wrapper>

            <Card.Wrapper canCloseContent titleToShow={<Card.Tilte title="FIRMAS" letter='F'/>} className="_rounded-none _mt-4" variant={{ variant: "govco" }}>
            <CardsSignatories url={signatoriesUrl} payload={{ "impuesto_id": "ICAT", "contribuyente_id": "800000000" }} />
            </Card.Wrapper>
`;
export {
  t as FileGUID,
  r as ICATjsx
};
