export declare const formClient: import("axios").AxiosInstance;
export declare enum UserDocumentTypes {
    CitizenshipCard = "c.c",// Cedula de ciudadania
    IdentityCard = "t.i",// Tarjeta de identidad
    ForeignerIdentityCard = "c.e",// Cedula de extranjeria
    Nit = "nit",// NIT
    DiplomaticCard = "c.d",// Carnet diplomatico
    Passport = "p.a",// Pasaporte
    SpecialPermissionToStay = "p.e.p",// Permiso especial de permanencia
    TemporaryProtectionPermit = "p.p.t",// permiso de protección temporal
    SafeConduct = "s.c"
}
export declare const staticOptions: {
    docType: {
        id: UserDocumentTypes;
        tdoc: string;
    }[];
    contReg: {
        id: string;
        label: string;
    }[];
    complementType: {
        id: string;
        label: string;
    }[];
};
