/// <reference types="react" />
import { IModalActivityProps } from './govco/ActivityModal';
import { IDirectionModalProps } from './govco/DirectionModal';
import { IFormModalProps } from './govco/FormModal';
export type featureComponentsPropMap = {
    ActivityModal: IModalActivityProps;
    FormModal: IFormModalProps;
    DirectionModal: IDirectionModalProps;
};
type ActivityModalProps = {
    componentKey: 'ActivityModal';
} & IModalActivityProps;
type FormModalProps = {
    componentKey: 'FormModal';
} & IFormModalProps;
type DirectionModalProps = {
    componentKey: 'DirectionModal';
} & IDirectionModalProps;
export type WrapperFeatureComponentProps = ActivityModalProps | FormModalProps | DirectionModalProps;
declare const _default: {
    govco: {
        ActivityModal: import("react").FC<IModalActivityProps>;
        FormModal: import("react").FC<IFormModalProps>;
        DirectionModal: import("react").FC<IDirectionModalProps>;
    };
    seltra: {
        ActivityModal: import("react").FC<IModalActivityProps>;
        FormModal: import("react").FC<IFormModalProps>;
        DirectionModal: import("react").FC<IDirectionModalProps>;
    };
};
export default _default;
export declare const FeatureComponents: {
    SelectMunicipality: ({ className, prefix, style, departmentCurrenId, municipalityCurrentId }: {
        className?: string | undefined;
        prefix?: string | undefined;
        style?: import("react").CSSProperties | undefined;
        departmentCurrenId?: string | undefined;
        municipalityCurrentId?: string | undefined;
    }) => import("react/jsx-runtime").JSX.Element;
};
