export interface FormType {
    id: string;
    createdAt: Date;
    updatedAt: Date;
    deletedAt: Date;
    name: string;
    description: string;
    jsx: string;
    functions: string;
}
export interface FormParms {
    getParmByForm: ParamConfig[];
}
export interface ParamConfig {
    code: null | string;
    description: string;
    type: ParamType;
    value: number | null | string;
}
export declare enum ParamType {
    Caracter = "CARACTER",
    Empty = "",
    Numerico = "NUMERICO"
}
export declare const useLoadFiles: () => {
    isPending: boolean;
    validationScheme: any;
    error: Error | null;
    jsx: string;
};
export declare const useLoadFrmType: () => {
    configFrm: FormType | null | undefined;
    isPending: boolean;
    error: Error | null;
};
export declare const useLoadJsxFiles: () => {
    validationScheme: any;
    jsx: string;
};
export declare const useGetParamsByQuery: (codeKeys?: (string | null)[]) => {
    values: Record<string, any>;
};
