/// <reference types="react" />
import { VariantProps } from 'class-variance-authority';
import { ButtonVariants } from './variants';
interface ButtonVariants extends VariantProps<typeof ButtonVariants> {
}
interface ButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
}
declare const _default: {
    Button: import("react").ForwardRefExoticComponent<ButtonProps & ButtonVariants & import("react").RefAttributes<HTMLButtonElement>>;
    FormButton: ({ className, ...props }: ButtonProps) => import("react/jsx-runtime").JSX.Element;
    Activities: ({ className, targetId, index, ...props }: ButtonProps & {
        targetId: string;
        index?: number | undefined;
    }) => import("react/jsx-runtime").JSX.Element;
    Maps: ({ className, targetId, ...props }: ButtonProps & {
        targetId: string;
    }) => import("react/jsx-runtime").JSX.Element;
    CancelButton: ({ className, ...props }: ButtonProps) => import("react/jsx-runtime").JSX.Element;
    CheckFormButton: ({ className, ...props }: ButtonProps) => import("react/jsx-runtime").JSX.Element;
};
export default _default;
