import { VariantProps } from 'class-variance-authority';
export declare const cardVariants: (props?: ({
    variant?: "govco" | null | undefined;
    padding?: "withoutFooter" | null | undefined;
    shadow?: "withShadow" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
export declare const cardTitleVariants: (props?: ({
    variant?: "govco" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
export declare const cardFooterVariants: (props?: ({
    variant?: "govco" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
export interface CardTitleVariant extends VariantProps<typeof cardTitleVariants> {
}
export interface CardFooterVariants extends VariantProps<typeof cardFooterVariants> {
}
export interface CardVariant extends VariantProps<typeof cardVariants> {
}
