import { FC, ReactNode } from 'react';
type InputLayout = {
    children: ReactNode;
    className?: string;
    style?: React.CSSProperties;
};
type RowInputs = {
    isMain?: boolean;
    title: string | ReactNode;
    subTitle?: string;
    subComponent?: ReactNode;
    rowNumber?: string;
    children: ReactNode;
};
type HeaderForm = {
    formNumber: number | string;
    formTitle: string;
    formConsecutive: number | string;
};
type FooterForm = {
    children: ReactNode;
};
declare const _default: {
    InputsWrapper: FC<InputLayout>;
    RowInputsWrapper: FC<RowInputs>;
    HeaderFormSection: FC<HeaderForm>;
    FooterFormSection: FC<FooterForm>;
};
export default _default;
