import { MenuAlign, MenuDirection, MenuPosition, MenuViewScroll, type MenuItemProps, type MenuProps } from '@szhsin/react-menu';
export interface ICustomeMenuSzh {
    viewScroll?: MenuViewScroll;
    position?: MenuPosition;
    direction?: MenuDirection;
    align?: MenuAlign;
    boundingBoxPadding?: string;
}
interface IMenuListProps extends MenuProps {
}
export declare const MenuList: ({ menuClassName, ...props }: IMenuListProps) => import("react/jsx-runtime").JSX.Element;
interface IMenuItemProps extends MenuItemProps {
}
export declare const MenuItem: ({ className, ...props }: IMenuItemProps) => import("react/jsx-runtime").JSX.Element;
interface IMenuActionListProps extends MenuProps {
}
export declare const MenuActionList: ({ menuClassName, transition, ...props }: IMenuActionListProps) => import("react/jsx-runtime").JSX.Element;
export {};
