import * as yup from 'yup';
export declare const onlyNumbers: RegExp;
export declare const numeroPasaporte: RegExp;
export declare const requiredDoc = "Debe seleccionar un tipo de documento";
export declare const invalidValue = "Valor ingresado no v\u00E1lido";
export declare const requiredSocialReason = "Debe ingresar la raz\u00F3n social";
export declare const numDocValid = "Debe ingresar un n\u00FAmero de documento v\u00E1lido";
export declare const campoObligatorio = "Este campo es obligatorio";
export declare const docTypes: {
    CC: string;
    NIT: string;
    CE: string;
    TI: string;
    R: string;
    P: string;
    X: string;
};
export declare const docTypesByKey: {
    CC: string;
    NIT: string;
    CE: string;
    TI: string;
    R: string;
    P: string;
    X: string;
};
export declare const validateDocNumber: (docType?: string) => yup.StringSchema<string | undefined, yup.AnyObject, undefined, "">;
declare const _default: {
    validateDocNumber: (docType?: string) => yup.StringSchema<string | undefined, yup.AnyObject, undefined, "">;
    ArraySchema: typeof yup.ArraySchema;
    BooleanSchema: typeof yup.BooleanSchema;
    DateSchema: typeof yup.DateSchema;
    Lazy: typeof yup.Lazy;
    MixedSchema: typeof yup.MixedSchema;
    NumberSchema: typeof yup.NumberSchema;
    ObjectSchema: typeof yup.ObjectSchema;
    Reference: typeof yup.Reference;
    Schema: typeof yup.Schema;
    StringSchema: typeof yup.StringSchema;
    TupleSchema: typeof yup.TupleSchema;
    ValidationError: typeof yup.ValidationError;
    addMethod: typeof yup.addMethod;
    array: typeof yup.array;
    bool: typeof yup.bool;
    boolean: typeof yup.bool;
    date: typeof yup.date;
    defaultLocale: yup.LocaleObject;
    getIn: typeof yup.getIn;
    isSchema: (obj: any) => obj is yup.ISchema<any, any, any, any>;
    lazy: typeof yup.lazy;
    mixed: typeof yup.mixed;
    number: typeof yup.number;
    object: typeof yup.object;
    printValue: typeof yup.printValue;
    reach: typeof yup.reach;
    ref: typeof yup.ref;
    setLocale: typeof yup.setLocale;
    string: typeof yup.string;
    tuple: typeof yup.tuple;
};
export default _default;
